Show / Hide Table of Contents

# Struct GamepadInput

Struct which gets populated by polling the gamepads.

Has an array of gamepads, among many other things (here not mapped). All we really care about is the final data which the game uses to determine input.

The size is definitely bigger than only the following fields but I do not know how big.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.ClientState.GamePad

###### Assembly: Dalamud.dll

##### Syntax

    public struct GamepadInput

### Fields

| Improve this Doc View Source

#### ButtonsPressed

Button pressed, set once when the button is pressed. See GamepadButtons for the mapping.

##### Declaration

    public ushort ButtonsPressed

##### Field Value

Type | Description
--- | ---
System.UInt16 |

##### Remarks

This is a bitfield.

| Improve this Doc View Source

#### ButtonsRaw

Raw input, set the whole time while a button is held. See GamepadButtons for the mapping.

##### Declaration

    public ushort ButtonsRaw

##### Field Value

Type | Description
--- | ---
System.UInt16 |

##### Remarks

This is a bitfield.

| Improve this Doc View Source

#### ButtonsReleased

Button released input, set once right after the button is not hold anymore. See GamepadButtons for the mapping.

##### Declaration

    public ushort ButtonsReleased

##### Field Value

Type | Description
--- | ---
System.UInt16 |

##### Remarks

This is a bitfield.

| Improve this Doc View Source

#### ButtonsRepeat

Repeatedly emits the held button input in fixed intervals. See GamepadButtons for the mapping.

##### Declaration

    public ushort ButtonsRepeat

##### Field Value

Type | Description
--- | ---
System.UInt16 |

##### Remarks

This is a bitfield.

| Improve this Doc View Source

#### LeftStickX

Left analogue stick's horizontal value, -99 for left, 99 for right.

##### Declaration

    public int LeftStickX

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### LeftStickY

Left analogue stick's vertical value, -99 for down, 99 for up.

##### Declaration

    public int LeftStickY

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RightStickX

Right analogue stick's horizontal value, -99 for left, 99 for right.

##### Declaration

    public int RightStickX

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RightStickY

Right analogue stick's vertical value, -99 for down, 99 for up.

##### Declaration

    public int RightStickY

##### Field Value

Type | Description
--- | ---
System.Int32 |